> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an account offer

> Update an existing account offer's details including credentials, pricing, description, and images.



## OpenAPI

````yaml /api/openapi.json patch /v2/account-offers/{account}
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/account-offers/{account}:
    patch:
      tags:
        - Account Offers
      summary: Update an account offer
      description: >-
        Update an existing account offer's details including credentials,
        pricing, description, and images.
      parameters:
        - name: account
          in: path
          description: >-
            The ID of the account offer. Can be retrieved from the list of
            account offers.
          required: true
          schema:
            type: string
      requestBody:
        description: >-
          Update account offer - all fields are optional, only provide fields
          you want to update
        content:
          application/json:
            schema:
              type: object
              properties:
                game_id:
                  description: >-
                    Unique identifier for the game (required if game slug not
                    provided)
                  type: integer
                game:
                  description: Slug of the game (required if game_id not provided)
                  type: string
                external_id:
                  description: >-
                    External identifier for the account offer, used to map to
                    your own system
                  type: string
                  maxLength: 255
                title:
                  description: Display title for the account offer
                  type: string
                  maxLength: 255
                slug:
                  description: >-
                    Custom URL-friendly identifier (auto-generated if not
                    provided)
                  type: string
                  maxLength: 255
                description:
                  description: Detailed description of the account and its features
                  type: string
                  maxLength: 2048
                dump:
                  description: >-
                    Searchable metadata including keywords, tags, and
                    categorization terms
                  type: string
                  maxLength: 2048
                private_note:
                  description: Private note only visible to you
                  type: string
                  maxLength: 2048
                price:
                  description: Account price in EUR currency, up to 2 decimal places
                  type: number
                  minimum: 0.99
                  example: 10.99
                is_manual:
                  description: Indicates if account requires manual delivery by seller
                  default: false
                  type: boolean
                login:
                  description: Account login username (required if not manual delivery)
                  type: string
                  maxLength: 255
                password:
                  description: Account password (required if not manual delivery)
                  type: string
                  maxLength: 255
                email_login:
                  description: Email address associated with the account
                  type: string
                  maxLength: 255
                email_password:
                  description: Password for the associated email account
                  type: string
                  maxLength: 255
                email_provider:
                  description: Email service provider domain
                  type: string
                  maxLength: 255
                  example: proton.me/mail
                delivery_instructions:
                  description: >-
                    Special instructions for account delivery, provided to buyer
                    after purchase, this field is **not encrypted**
                  type: string
                  maxLength: 2048
                delivery_time:
                  description: Expected delivery time object (required if manual delivery)
                  type: object
                  properties:
                    duration:
                      description: >-
                        Numeric value representing the delivery time (required
                        if manual delivery)
                      type: integer
                    unit:
                      description: Time unit for the duration (required if manual delivery)
                      enum:
                        - minutes
                        - hours
                        - days
                      type: string
                  example:
                    duration: 10
                    unit: hours
                game_items:
                  description: >-
                    Object containing game item type slugs as keys with arrays
                    of item names/slugs as values
                  type: object
                  additionalProperties:
                    type: array
                    items:
                      description: Game item name or slug
                      type: string
                  example:
                    champions:
                      - lol-aatrox
                      - lol-zed
                    skins:
                      - lol-academy-ahri
                image_urls:
                  description: >-
                    Array of image URLs showcasing the account, imgur not
                    supported
                  type: array
                  items:
                    description: Image URL
                    type: string
                  minItems: 1
                  example:
                    - https://example.com/image1.jpg
                    - https://example.com/image2.jpg
                account_data:
                  description: >-
                    Specifics available via the [template
                    endpoint](/api/reference/account-offers/get-account-offer-template).
                    Game-specific account attributes such as level, rank,
                    champions unlocked, etc.
                  type: object
      responses:
        '200':
          description: Successfully retrieved account offer details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AccountOffer'
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '403':
          $ref: '#/components/responses/ErrorForbidden'
        '404':
          $ref: '#/components/responses/ErrorNotFound'
        '422':
          $ref: '#/components/responses/ErrorValidation'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  schemas:
    AccountOffer:
      description: Account offer object
      type: object
      properties:
        id:
          description: Unique identifier for the account offer
          type: integer
        external_id:
          description: >-
            External identifier for the account offer, used to map to your own
            system
          type: string
          nullable: true
        game:
          $ref: '#/components/schemas/GameRelation'
        account_order_ids:
          description: Account order IDs linked to this account
          type: array
          items:
            type: integer
          nullable: true
        title:
          description: Display name for the account offer
          type: string
        slug:
          description: URL-friendly identifier for the account offer
          type: string
        description:
          description: Detailed description of the account and its features
          type: string
          nullable: true
        parameters:
          description: >-
            Account-specific attributes such as level, rank, champions unlocked,
            etc.
          type: object
          nullable: true
        dump:
          description: >-
            Searchable metadata including keywords, tags, and categorization
            terms
          type: string
          nullable: true
        status:
          description: Current status of the account offer
          enum:
            - draft
            - pending
            - listed
            - processing
            - sold
            - refunded
            - archived
          type: string
        delivery_time:
          $ref: '#/components/schemas/DeliveryTime'
        is_manual_delivery:
          description: Indicates if the account requires manual delivery by seller
          type: boolean
        credentials:
          $ref: '#/components/schemas/AccountOfferCredential'
        delivery_instructions:
          description: >-
            Special instructions for account delivery, provided to buyer after
            purchase
          type: string
          nullable: true
        price:
          description: Account price in EUR currency
          type: string
        price_usd:
          description: Account price converted to USD using current exchange rates
          type: string
        views:
          description: Total number of times this account offer has been viewed
          type: integer
        image_urls:
          description: Array of image URLs showcasing the account
          type: array
          items:
            type: string
        created_at:
          description: Unix timestamp when the account offer was created
          type: integer
        updated_at:
          description: Unix timestamp of the last modification to the account offer
          type: integer
        listed_at:
          description: Unix timestamp when the account offer was made publicly available
          type: integer
          nullable: true
    GameRelation:
      description: Basic game information used in relations
      type: object
      properties:
        id:
          description: Unique identifier for the game
          type: integer
        name:
          description: Display name of the game
          type: string
        slug:
          description: URL-friendly identifier for the game
          type: string
    DeliveryTime:
      description: Delivery time object representing expected delivery duration
      type: object
      properties:
        duration:
          description: Numeric value representing the delivery time
          type: integer
        unit:
          description: Time unit for the duration (minutes, hours, days)
          enum:
            - minutes
            - hours
            - days
          type: string
        format:
          description: Human-readable delivery time (e.g., "2 hr")
          type: string
        format_long:
          description: Extended format delivery time (e.g., "2 hours")
          type: string
        seconds:
          description: Total delivery time converted to seconds
          type: integer
    AccountOfferCredential:
      description: Account credentials object containing login and email information
      type: object
      properties:
        login:
          description: Username or login identifier for the game account
          type: string
          nullable: true
        password:
          description: Password for the game account
          type: string
          nullable: true
        email_login:
          description: Email address used for account login
          type: string
          nullable: true
        email_password:
          description: Password for the associated email account
          type: string
          nullable: true
        email_provider:
          description: Email service provider domain (e.g., gmail.com, proton.me)
          type: string
          nullable: true
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorForbidden:
      description: >-
        User is not authorized to perform this action, happens when you try to
        access a resource you do not have permission to access
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: This action is unauthorized.
    ErrorNotFound:
      description: Resource not found, happens when the requested resource does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
    ErrorValidation:
      description: Validation errors, happens when the request data is invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: The given data was invalid.
              errors:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
                example:
                  field:
                    - Something is wrong with this field!
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````